ASN1_PRINT(1)

NAME
asn1_print - dump ASN.1 DER encoded values

SYNOPSIS
asn1_print [-i - - -no-indent] [-I - - -inner] [-l - - -list-types] [-A - - -try-all-types] [-S - - -raw-sequence] [-n - - -no-print] [-q - - -quiet] [- -test-encode] [- -test-copy] [-l -v - - -version] [-l -h - - -help] [FILE [TypeName...]]

DESCRIPTION
asn1_print Dumps ASN.1 DER-encoded values. If one or more TypeName arguments are given, then asn1_print will print the value in a JSON-like format using its knowledge of the ASN.1 modules defining those types, stopping at the first type for which it can successfully decode the value. If TypeNames are given, they must be the names of ASN.1 types exported by an ASN.1 modules that are compiled into asn1_print. Use the - -try-all-types option to attempt decoding as all ASN.1 types known to asn1_print. If neither any TypeName nor - -try-all-types are given, then the value will be parsed and displayed using just the self-describing nature of DER.

Options supported:

-i, - -no-indent
    Do not indent dump.

-I, - -inner
    Try to parse inner structures of OCTET STRING and constructed values.

-l, - -list-types
    List all types known to asn1_print.

-A, - -try-all-types
    Attempt to decode the value as any of all types known to asn1_print.

-S, - -raw-sequence
    If a value parses as a given TypeName but any bytes are left over, try to parse those separately as well until all bytes are consumed or an error occurs.

-n, - -no-print
    For the case where -A or - -try-all-types or where a TypeName is given, do not output a JSON representation of the value, just attempt to decode it. This is useful for fuzzing.

-q, - -quiet
    Similar to -n, - -no-print but JSON output will be formatted, just not output. As with -n, - -no-print, this option requires -A -/ - -try-all-types or that a TypeName be given. This is useful for fuzzing.

- -test-encode
    Check that encoding produces the same value as decoding. Useful for fuzzing.

- -test-copy
    Test copy functions. Useful for fuzzing.

-v, - -version

-h, - -help